Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gr.forth.ics.vrp.corevrp.vocabulary
Class XMLSchema_DT

    java.lang.Object
      |
      +--gr.forth.ics.vrp.corevrp.vocabulary.XMLSchema_DT

public class XMLSchema_DT
extends Object

XMLSchema_DT.java - Containing the parameters for the XML Datatypes.

Field Summary
`static String` | `anyURIDT` anyURI XML Schema datatype
`static String` | `base64BinaryDT` base64Binary XML Schema datatype
`static String` | `booleanDT` boolean XML Schema datatype
`static String` | `byteDT` byte XML Schema datatype
`static String` | `dateDT` dateTime XML Schema datatype
`static String` | `dateTimeDT` dateTime XML Schema datatype
`static String` | `decimalDT` dateTime XML Schema datatype
`static String` | `doubleDT` dateTime XML Schema datatype
`static String` | `durationDT` dateTime XML Schema datatype
`static String` | `ENTITIESDT` ENTITIES XML Schema datatype
`static String` | `ENTITYDT` ENTITY XML Schema datatype
`static String` | `floatDT` float XML Schema datatype
`static String` | `gDayDT` dateTime XML Schema datatype
`static String` | `gMonthDayDT` dateTime XML Schema datatype
`static String` | `gMonthDT` dateTime XML Schema datatype
`static String` | `gYearDT` gYear XML Schema datatype
`static String` | `gYearMonthDT` dateTime XML Schema datatype
`static String` | `hexBinaryDT` hexBinary XML Schema datatype
`static String` | `IDDT` ID XML Schema datatype
`static String` | `IDREFDT` IDREF XML Schema datatype
`static String` | `IDREFSDT` IDREFS XML Schema datatype
`static String` | `intDT` int XML Schema datatype
`static String` | `integerDT` integer XML Schema datatype
`static String` | `languageDT` language XML Schema datatype
`static String` | `longDT` long XML Schema datatype
`static String` | `NameDT` Name XML Schema datatype
`static String` | `NCNameDT` NCName XML Schema datatype
`static String` | `negativeIntegerDT` negativeInteger XML Schema datatype
`static String` | `NMTOKENDT` NMTOKEN XML Schema datatype
`static String` | `NMTOKENSDT` NMTOKENS XML Schema datatype
`static String` | `nonNegativeIntegerDT` nonNegativeInteger XML Schema datatype
`static String` | `nonPositiveIntegerDT` nonPositiveInteger XML Schema datatype
`static String` | `normalizedStringDT` normalizedString XML Schema datatype
`static String` | `NOTATIONDT` NOTATION XML Schema datatype
`static String` | `NS` Address of the namespace where XML Schema datatypes are defined
`static String` | `positiveIntegerDT` positiveInteger XML Schema datatype
`static String` | `QNameDT` QName XML Schema datatype
`static String` | `shortDT` short XML Schema datatype
`static String` | `stringDT` string XML Schema datatype
`static String` | `timeDT` dateTime XML Schema datatype
`static String` | `tokenDT` token XML Schema datatype
`static String` | `unsignedByteDT` unsignedByte XML Schema datatype
`static String` | `unsignedIntDT` unsignedInt XML Schema datatype
`static String` | `unsignedLongDT` unsignedLong XML Schema datatype
`static String` | `unsignedShortDT` unsignedShort XML Schema datatype
`static ArrayList` | `XMLSchemaDatatypes` The subset of XML Schema Datatypes supported by VRP.

Constructor Summary
`XMLSchema_DT()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NS

    public static final String NS

  Address of the namespace where XML Schema datatypes are defined

  See Also:
    Constant Field Values

### stringDT

    public static final String stringDT

  string XML Schema datatype

  See Also:
    Constant Field Values

### integerDT

    public static final String integerDT

  integer XML Schema datatype

  See Also:
    Constant Field Values

### floatDT

    public static final String floatDT

  float XML Schema datatype

  See Also:
    Constant Field Values

### booleanDT

    public static final String booleanDT

  boolean XML Schema datatype

  See Also:
    Constant Field Values

### dateTimeDT

    public static final String dateTimeDT

  dateTime XML Schema datatype

  See Also:
    Constant Field Values

### decimalDT

    public static final String decimalDT

  dateTime XML Schema datatype

  See Also:
    Constant Field Values

### doubleDT

    public static final String doubleDT

  dateTime XML Schema datatype

  See Also:
    Constant Field Values

### durationDT

    public static final String durationDT

  dateTime XML Schema datatype

  See Also:
    Constant Field Values

### timeDT

    public static final String timeDT

  dateTime XML Schema datatype

  See Also:
    Constant Field Values

### dateDT

    public static final String dateDT

  dateTime XML Schema datatype

  See Also:
    Constant Field Values

### gYearMonthDT

    public static final String gYearMonthDT

  dateTime XML Schema datatype

  See Also:
    Constant Field Values

### gYearDT

    public static final String gYearDT

  gYear XML Schema datatype

  See Also:
    Constant Field Values

### gMonthDayDT

    public static final String gMonthDayDT

  dateTime XML Schema datatype

  See Also:
    Constant Field Values

### gDayDT

    public static final String gDayDT

  dateTime XML Schema datatype

  See Also:
    Constant Field Values

### gMonthDT

    public static final String gMonthDT

  dateTime XML Schema datatype

  See Also:
    Constant Field Values

### hexBinaryDT

    public static final String hexBinaryDT

  hexBinary XML Schema datatype

  See Also:
    Constant Field Values

### base64BinaryDT

    public static final String base64BinaryDT

  base64Binary XML Schema datatype

  See Also:
    Constant Field Values

### anyURIDT

    public static final String anyURIDT

  anyURI XML Schema datatype

  See Also:
    Constant Field Values

### QNameDT

    public static final String QNameDT

  QName XML Schema datatype

  See Also:
    Constant Field Values

### NOTATIONDT

    public static final String NOTATIONDT

  NOTATION XML Schema datatype

  See Also:
    Constant Field Values

### normalizedStringDT

    public static final String normalizedStringDT

  normalizedString XML Schema datatype

  See Also:
    Constant Field Values

### tokenDT

    public static final String tokenDT

  token XML Schema datatype

  See Also:
    Constant Field Values

### languageDT

    public static final String languageDT

  language XML Schema datatype

  See Also:
    Constant Field Values

### NMTOKENDT

    public static final String NMTOKENDT

  NMTOKEN XML Schema datatype

  See Also:
    Constant Field Values

### NMTOKENSDT

    public static final String NMTOKENSDT

  NMTOKENS XML Schema datatype

  See Also:
    Constant Field Values

### NameDT

    public static final String NameDT

  Name XML Schema datatype

  See Also:
    Constant Field Values

### NCNameDT

    public static final String NCNameDT

  NCName XML Schema datatype

  See Also:
    Constant Field Values

### IDDT

    public static final String IDDT

  ID XML Schema datatype

  See Also:
    Constant Field Values

### IDREFDT

    public static final String IDREFDT

  IDREF XML Schema datatype

  See Also:
    Constant Field Values

### IDREFSDT

    public static final String IDREFSDT

  IDREFS XML Schema datatype

  See Also:
    Constant Field Values

### ENTITYDT

    public static final String ENTITYDT

  ENTITY XML Schema datatype

  See Also:
    Constant Field Values

### ENTITIESDT

    public static final String ENTITIESDT

  ENTITIES XML Schema datatype

  See Also:
    Constant Field Values

### nonPositiveIntegerDT

    public static final String nonPositiveIntegerDT

  nonPositiveInteger XML Schema datatype

  See Also:
    Constant Field Values

### negativeIntegerDT

    public static final String negativeIntegerDT

  negativeInteger XML Schema datatype

  See Also:
    Constant Field Values

### longDT

    public static final String longDT

  long XML Schema datatype

  See Also:
    Constant Field Values

### intDT

    public static final String intDT

  int XML Schema datatype

  See Also:
    Constant Field Values

### shortDT

    public static final String shortDT

  short XML Schema datatype

  See Also:
    Constant Field Values

### byteDT

    public static final String byteDT

  byte XML Schema datatype

  See Also:
    Constant Field Values

### nonNegativeIntegerDT

    public static final String nonNegativeIntegerDT

  nonNegativeInteger XML Schema datatype

  See Also:
    Constant Field Values

### unsignedLongDT

    public static final String unsignedLongDT

  unsignedLong XML Schema datatype

  See Also:
    Constant Field Values

### unsignedIntDT

    public static final String unsignedIntDT

  unsignedInt XML Schema datatype

  See Also:
    Constant Field Values

### unsignedShortDT

    public static final String unsignedShortDT

  unsignedShort XML Schema datatype

  See Also:
    Constant Field Values

### unsignedByteDT

    public static final String unsignedByteDT

  unsignedByte XML Schema datatype

  See Also:
    Constant Field Values

### positiveIntegerDT

    public static final String positiveIntegerDT

  positiveInteger XML Schema datatype

  See Also:
    Constant Field Values

### XMLSchemaDatatypes

    public static ArrayList XMLSchemaDatatypes

  The subset of XML Schema Datatypes supported by VRP.

Constructor Detail

### XMLSchema_DT

    public XMLSchema_DT()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD